<template>
  <div>
    <q-btn  style="margin-top:30px; margin-left: 30px" color="orange" icon="arrow_back" label="Kembali" />
    <div class="q-pa-md" style="width: 80%; background: #4caf50; color: white; margin-top: 30px; margin-left: auto; margin-right: auto; box-shadow: 0 0px 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #4caf50">
      <h6 style="margin: 0px">Tambah Kategori</h6>
    </div>
    <div class="q-pa-md" style="width: 80%; padding: 0; margin: auto; box-shadow: 0 0px 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #4caf50">
      <div>
        <p>&nbsp;</p>
        <h6 style="margin-left: 70px; margin-top: 0px; margin-bottom: 10px">Data Kategori</h6>
        <div class="q-gutter-y-md" style="width: 85%; margin: auto" >
          <q-select standout="bg-green text-white" v-model="parent" :options="optionsParent" label="Modul" />
          <q-input standout="bg-green text-white"  v-model="form.category" label="Nama Kategori"/>
          <q-input standout="bg-green text-white" v-model="form.category_desc" label="Deskripsi Kategori" type="textarea"/>
          <div class="row">
            <p style="font-size: 18px; margin-right: 50px">Web Logo</p>
            <q-file filled bottom-slots v-model="form.img_web" counter accept="image">
              <template v-slot:prepend>
                <q-icon name="cloud_upload" @click.stop />
              </template>
              <template v-slot:append>
                <q-icon name="close" @click.stop="model = null" class="cursor-pointer" />
              </template>

              <template v-slot:hint>
                Field hint
              </template>
            </q-file>
          </div>
          <div class="row">
            <p style="font-size: 18px; margin-right: 30px">Mobile Logo</p>
            <q-file filled bottom-slots v-model="form.img_mobile" counter accept="image">
              <template v-slot:prepend>
                <q-icon name="cloud_upload" @click.stop />
              </template>
              <template v-slot:append>
                <q-icon name="close" @click.stop="model = null" class="cursor-pointer" />
              </template>

              <template v-slot:hint>
                Masukan Gambar dengan format jpg/png/ico
              </template>
            </q-file>
          </div>
          <li style="margin-top: 5px">Format gambar yang di izinkan adalah .jpg, jpeg, & .png</li>
          <li style="margin-top: 5px">Max Ukuran Gambar adalah 1.5 MB</li>
        </div>
        <p>&nbsp;</p>
      </div>
    </div>
    <div style="margin-top: 20px; margin-left: auto; margin-right:auto; margin-bottom: 50px; width: 80%">
      <q-btn  label="Simpan Kategori" type="submit" color="green"/>
    </div>
    <p>&nbsp;</p>
  </div>



</template>

<script>
export default {
  name: "Category",

  data() {
    return {
      optionsParent: null,
      parent: null,
      form: {
        parent_id: null,
        category  : null,
        category_desc  : null,
        img_web  : null,
        img_mobile  : null,
      }
    }
  },

  beforeMount() {
    this.getListParent()
  },

  methods: {
    async getListParent() {
      let dataApi = {
        methods: "GET",
        url: "api/category/list-select",
        headers: {
          Authorization: "Bearer " + localStorage.getItem("token")
        }
      }
      this.$q.loading.show()
      await this.$axios(dataApi)
      .then(sukses => {

      })
      .catch(gagal => {})
      .then(selalu => {
        this.$q.loading.hide()
      })
    }
  }
}
</script>

<style scoped>

</style>
